[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Moving ARM g77 to g77-3.0


g77-2.95 has a nasty bug on ARM which prevents linking of any FORTRAN libs (#90363). Our current status is that all packages with binaries which link to FORTRAN libs fail to build! This bug is not likely to be fixed.

3.0 fixes this problem, but then maintainers must hand-build using g77-3.0, which is not a viable long-term solution. I know some arches have 3.0 as their default compiler. So, what are the criteria, and what's the procedure, for changing the default g77 compiler on ARM from 2.95 to 3.0? Would we have to switch our C and C++ compilers as well, or can we just switch FORTRAN?

Please CC me in replies.


Adam Powell http://lyre.mit.edu/~powell/ <http://lyre.mit.edu/%7Epowell/>
Thomas B. King Assistant Professor of Materials Engineering
77 Massachusetts Ave. Rm. 4-117 Phone (617) 452-2086
Cambridge, MA 02139 USA Fax (617) 253-5418

Reply to: